<?php

function compress($dir) {

 	$d = opendir ($dir);

    while ($f = readdir ($d)) {

		if ($f == '.' || $f == '..') continue;

        if (is_dir ($dir . '/' . $f)) {
			compress ($dir . '/' . $f);
        } elseif (preg_match('#\.(css|js)$#si', $f)) {
			$ft1 = filemtime ($dir . '/' . $f);
			$ft2 = ( file_exists ($dir . '/' . $f . '.gz') ) ? filemtime ($dir . '/' . $f . '.gz') : 0;
			if ($ft1 > $ft2) {
				$dt = file_get_contents ($dir . '/' . $f);
				$g = gzopen ($dir . '/' . $f . '.gz', 'wb9');
				gzwrite ($g, $dt);
				gzclose ($g);
				echo "Gzipped: $dir/$f <br />";
			} else echo "Skipped: $dir/$f <br />";
        }

    }

    closedir ($d);

}

compress (dirname (__FILE__));

?>
